package example.javax.ejb;

import javax.ejb.EJBLocalObject;
import javax.ejb.EJBObject;
import javax.ejb.SessionContext;
import javax.xml.rpc.handler.MessageContext;

public class MockSessionContext extends MockEJBContext
        implements SessionContext {

    public EJBLocalObject getEJBLocalObject() throws IllegalStateException {
        throw new UnsupportedOperationException();
    }

    public EJBObject getEJBObject() throws IllegalStateException {
        throw new UnsupportedOperationException();
    }

    public MessageContext getMessageContext() throws IllegalStateException {
        throw new UnsupportedOperationException();
    }

    public <T> T getBusinessObject(Class<T> businessInterface)
            throws IllegalStateException {
        throw new UnsupportedOperationException();
    }

    @SuppressWarnings("unchecked")
    public Class getInvokedBusinessInterface() throws IllegalStateException {
        throw new UnsupportedOperationException();
    }

}
